curl --location 'https://services.dispatchable.com/docusign/api/v1/envelopes' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"account_uuid": "8af35ec6-a77d-48ef-b1f7-0b34e4df5829",
"item_type": "load",
"item_uuid": "776d4cef-9e8b-463a-b312-a2634dd06de1",
"template_id": "7f45a2c1-0000-0000-0000-f66d81d4e111",
"template_name": "Customer Shipping Agreement",
"recipient": {
"name": "John Customer",
"email": "john.customer@example.com",
"role_name": "Customer"
},
"email_subject": "Please review and sign your shipping agreement",
"email_blurb": "Hi John, please review and sign the attached shipping agreement so we can continue processing your shipment.",
"status": "sent",
"prefill_data": {
"customer_name": "John Customer",
"pickup_city": "Lakeland",
"pickup_state": "FL",
"delivery_city": "Atlanta",
"delivery_state": "GA",
"vehicle": "2024 Toyota Camry",
"price": "850.00"
},
"tabs": {
"textTabs": [
{
"tab_label": "customer_name",
"value": "John Customer",
"locked": "true"
},
{
"tab_label": "pickup_city",
"value": "Lakeland",
"locked": "true"
},
{
"tab_label": "pickup_state",
"value": "FL",
"locked": "true"
},
{
"tab_label": "delivery_city",
"value": "Atlanta",
"locked": "true"
},
{
"tab_label": "delivery_state",
"value": "GA",
"locked": "true"
},
{
"tab_label": "vehicle",
"value": "2024 Toyota Camry",
"locked": "true"
},
{
"tab_label": "price",
"value": "850.00",
"locked": "true"
}
]
},
"meta": {
"source": "load_detail_page",
"sent_from": "Dispatchable"
}
}'{
"success": true,
"message": "DocuSign envelope sent successfully.",
"data": {
"uuid": "26629f79-695c-4413-8acd-4f7722ddc3a0",
"company_uuid": "b0f07c91-2045-4ecf-90b8-98f76e8f2123",
"user_uuid": "dca7f48e-1a58-4204-ae4a-e1406249c222",
"account_uuid": "8af35ec6-a77d-48ef-b1f7-0b34e4df5829",
"item_type": "load",
"item_uuid": "776d4cef-9e8b-463a-b312-a2634dd06de1",
"docusign_account_id": "12345678",
"template_id": "7f45a2c1-0000-0000-0000-f66d81d4e111",
"template_name": "Customer Shipping Agreement",
"envelope_id": "c2a7ce4b-6d2b-459c-a8b1-fba5c51b7291",
"status": "sent",
"recipient_name": "John Customer",
"recipient_email": "john.customer@example.com",
"recipient_role_name": "Customer",
"recipient_id": null,
"email_subject": "Please review and sign your shipping agreement",
"email_blurb": "Hi John, please review and sign the attached shipping agreement so we can continue processing your shipment.",
"sent_at": "2026-05-02T16:10:00Z",
"completed_at": null,
"error_message": null,
"meta": {
"source": "load_detail_page",
"sent_from": "Dispatchable"
},
"created_at": "2026-05-02T16:10:00Z",
"updated_at": "2026-05-02T16:10:00Z"
}
}